package textures.hud.constructionmenu;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class BaseConstructionMenu {
	public static void getTextures(BufferedImage image) {
		Textures.baseConstructionSheet[0] = Utils.grabSprite(image, 1, 1, 80, 450);
		Textures.baseConstructionSheet[1] = Utils.grabSprite(image, 3, 1, 46, 45); // base
		Textures.baseConstructionSheet[2] = Utils.grabSprite(image, 3, 2, 46, 45); // sepia
		Textures.baseConstructionSheet[3] = Utils.grabSprite(image, 3, 3, 46, 45); // selected
		Textures.baseConstructionSheet[4] = Utils.grabSprite(image, 3, 4, 46, 45); // padlock
		
		Textures.baseConstructionSheet[5] = Utils.grabSprite(image, 3, 5, 46, 45); // tools icon
		Textures.baseConstructionSheet[6] = Utils.grabSprite(image, 3, 6, 46, 45); // fire/light icon
		
		
		Textures.baseConstructionSheet[13] = Utils.grabSprite(image, 2, 1, 140, 386); // base menu
		Textures.baseConstructionSheet[14] = Utils.grabSprite(image, 8, 1, 40, 40); // reg menu square
		Textures.baseConstructionSheet[15] = Utils.grabSprite(image, 8, 2, 40, 40); // sepia menu square
		Textures.baseConstructionSheet[16] = Utils.grabSprite(image, 8, 3, 40, 40); // locked menu square
		
	}
}
